org.apache.cassandra.net

## Class MessageIn<T>

- java.lang.Object
- - org.apache.cassandra.net.MessageIn<T>

-     public class MessageIn<T>
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `constructionTime`
    `java.net.InetAddress` | `from`
    `java.util.Map<java.lang.String,byte[]>` | `parameters`
    `T` | `payload`
    `MessagingService.Verb` | `verb`
    `int` | `version`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsFailureReason()`
    `static <T> MessageIn<T>` | `create(java.net.InetAddress from, T payload, java.util.Map<java.lang.String,byte[]> parameters, MessagingService.Verb verb, int version)`
    `static <T> MessageIn<T>` | `create(java.net.InetAddress from, T payload, java.util.Map<java.lang.String,byte[]> parameters, MessagingService.Verb verb, int version, long constructionTime)`
    `boolean` | `doCallbackOnFailure()`
    `RequestFailureReason` | `getFailureReason()`
    `long` | `getLifetimeInMS()` Since how long (in milliseconds) the message has lived.
    `Stage` | `getMessageType()`
    `long` | `getSlowQueryTimeout()`
    `long` | `getTimeout()`
    `boolean` | `isCrossNode()` Whether the message has crossed the node boundary, that is whether it originated from another node.
    `boolean` | `isFailureResponse()`
    `static <T2> MessageIn<T2>` | `read(DataInputPlus in, int version, int id)`
    `static <T2> MessageIn<T2>` | `read(DataInputPlus in, int version, int id, long constructionTime)`
    `static long` | `readConstructionTime(java.net.InetAddress from, DataInputPlus input, long currentTime)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### from

          public final java.net.InetAddress from

    - #### payload

          public final T payload

    - #### parameters

          public final java.util.Map<java.lang.String,byte[]> parameters

    - #### verb

          public final MessagingService.Verb verb

    - #### version

          public final int version

    - #### constructionTime

          public final long constructionTime

  - ### Method Detail

    - #### create

          public static <T> MessageIn<T> create(java.net.InetAddress from,
                                                T payload,
                                                java.util.Map<java.lang.String,byte[]> parameters,
                                                MessagingService.Verb verb,
                                                int version,
                                                long constructionTime)

    - #### create

          public static <T> MessageIn<T> create(java.net.InetAddress from,
                                                T payload,
                                                java.util.Map<java.lang.String,byte[]> parameters,
                                                MessagingService.Verb verb,
                                                int version)

    - #### read

          public static <T2> MessageIn<T2> read(DataInputPlus in,
                                                int version,
                                                int id)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### read

          public static <T2> MessageIn<T2> read(DataInputPlus in,
                                                int version,
                                                int id,
                                                long constructionTime)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readConstructionTime

          public static long readConstructionTime(java.net.InetAddress from,
                                                  DataInputPlus input,
                                                  long currentTime)
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getLifetimeInMS

          public long getLifetimeInMS()

      Since how long (in milliseconds) the message has lived.

    - #### isCrossNode

          public boolean isCrossNode()

      Whether the message has crossed the node boundary, that is whether it originated from another node.

    - #### getMessageType

          public Stage getMessageType()

    - #### doCallbackOnFailure

          public boolean doCallbackOnFailure()

    - #### isFailureResponse

          public boolean isFailureResponse()

    - #### containsFailureReason

          public boolean containsFailureReason()

    - #### getFailureReason

          public RequestFailureReason getFailureReason()

    - #### getTimeout

          public long getTimeout()

    - #### getSlowQueryTimeout

          public long getSlowQueryTimeout()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation